package cd.casic.plugin.exception;

import org.springframework.http.HttpStatus;
import org.springframework.web.server.ResponseStatusException;

/**
 * @description: TODO
 * @author: mianbin
 * @date: 2025/5/14 11:27
 * @version: 1.0
 */
public class AccessDenyException extends ResponseStatusException {

    public AccessDenyException() {
        this("Access to the resource is forbidden");
    }

    public AccessDenyException(String reason) {
        this(reason, null, null);
    }

    public AccessDenyException(String reason, String detailCode, Object[] detailArgs) {
        super(HttpStatus.FORBIDDEN, reason, null, detailCode, detailArgs);
    }
}
